My Project: dQuaternion Class Reference

My Project

Public Member Functions | Public Attributes | List of all members
dQuaternion Class Reference

`#include <dQuaternion.h>`

## Public Member Functions

| dQuaternion ()
| dQuaternion (const dMatrix &matrix)
| dQuaternion (dFloat q0, dFloat q1, dFloat q2, dFloat q3)
| dQuaternion (const dVector &unit_Axis, dFloat Angle=0.0f)
void | Scale (dFloat scale)
void | Normalize ()
dFloat | DotProduct (const dQuaternion &QB) const
dQuaternion | Inverse () const
dVector | RotateVector (const dVector &point) const
dVector | UnrotateVector (const dVector &point) const
void | GetEulerAngles (dVector &euler1, dVector &euler2, dEulerAngleOrder order=m_pitchYawRoll) const
dVector | CalcAverageOmega (const dQuaternion &q1, dFloat invdt) const
dQuaternion | Slerp (const dQuaternion &q1, dFloat t) const
dQuaternion | IntegrateOmega (const dVector &omega, dFloat timestep) const
dQuaternion | operator* (const dQuaternion &B) const
dQuaternion | operator+ (const dQuaternion &B) const
dQuaternion | operator- (const dQuaternion &B) const

## Public Attributes

dFloat | m_q0
dFloat | m_q1
dFloat | m_q2
dFloat | m_q3

## Constructor & Destructor Documentation

## § dQuaternion() [1/4]

dQuaternion::dQuaternion | ( |  | ) |

inline

## § dQuaternion() [2/4]

dQuaternion::dQuaternion | ( | const dMatrix & | matrix | ) |

## § dQuaternion() [3/4]

dQuaternion::dQuaternion | ( | dFloat | q0,
|  | dFloat | q1,
|  | dFloat | q2,
|  | dFloat | q3
| ) |  |

inline

## § dQuaternion() [4/4]

dQuaternion::dQuaternion | ( | const dVector & | unit_Axis,
|  | dFloat | Angle = `0.0f`
| ) |  |

## Member Function Documentation

## § CalcAverageOmega()

dVector dQuaternion::CalcAverageOmega | ( | const dQuaternion & | q1,
|  | dFloat | invdt
| ) |  | const

## § DotProduct()

dFloat dQuaternion::DotProduct | ( | const dQuaternion & | QB | ) | const

inline

## § GetEulerAngles()

void dQuaternion::GetEulerAngles | ( | dVector & | euler1,
|  | dVector & | euler2,
|  | dEulerAngleOrder | order = `m_pitchYawRoll`
| ) |  | const

## § IntegrateOmega()

dQuaternion dQuaternion::IntegrateOmega | ( | const dVector & | omega,
|  | dFloat | timestep
| ) |  | const

## § Inverse()

dQuaternion dQuaternion::Inverse | ( |  | ) | const

inline

## § Normalize()

void dQuaternion::Normalize | ( |  | ) |

inline

## § operator*()

dQuaternion dQuaternion::operator* | ( | const dQuaternion & | B | ) | const

inline

## § operator+()

dQuaternion dQuaternion::operator+ | ( | const dQuaternion & | B | ) | const

inline

## § operator-()

dQuaternion dQuaternion::operator- | ( | const dQuaternion & | B | ) | const

inline

## § RotateVector()

dVector dQuaternion::RotateVector | ( | const dVector & | point | ) | const

## § Scale()

void dQuaternion::Scale | ( | dFloat | scale | ) |

inline

## § Slerp()

dQuaternion dQuaternion::Slerp | ( | const dQuaternion & | q1,
|  | dFloat | t
| ) |  | const

## § UnrotateVector()

dVector dQuaternion::UnrotateVector | ( | const dVector & | point | ) | const

## Member Data Documentation

## § m_q0

dFloat dQuaternion::m_q0

## § m_q1

dFloat dQuaternion::m_q1

## § m_q2

dFloat dQuaternion::m_q2

## § m_q3

dFloat dQuaternion::m_q3

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/packages/dMath/dQuaternion.h
- dynamics.mod/NewtonDynamics/packages/dMath/dQuaternion.cpp